Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.renderer
Class TreeCellContext

    java.lang.Object
      org.jdesktop.swingx.renderer.CellContext
          org.jdesktop.swingx.renderer.TreeCellContext

All Implemented Interfaces:
  java.io.Serializable

    public class TreeCellContext

extends CellContext

Tree specific `CellContext`.

- PENDING: use focus border as returned from list or table instead of rolling its own? The missing ui-border probably is a consequence of the border hacking as implemented in core default renderer. SwingX has a composite default which should use the "normal" border.
- PENDING: selection colors couple explicitly to SwingX - should we go JXTree as generic type?
- PENDING: for a JXTree use the icons as returned by the xtree api?

See Also:
  Serialized Form

Nested Class Summary
`class` | `TreeCellContext.TreeFocusBorder` Border used to draw around the content of the node.

Field Summary
`protected javax.swing.Icon` | `closedIcon` the default icon to use for a closed folder.
`protected javax.swing.Icon` | `leafIcon` the icon to use for a leaf node.
`protected javax.swing.Icon` | `openIcon` the default icon to use for a open folder.

Fields inherited from class org.jdesktop.swingx.renderer.CellContext
`column, component, dropOn, expanded, focused, leaf, noFocusBorder, row, selected, value`

Constructor Summary
`TreeCellContext()`

Method Summary
`protected javax.swing.Icon` | `getClosedIcon()` Returns the default icon to use for closed cell.
`javax.swing.JTree` | `getComponent()` Returns the component the cell resides on, may be null.
`protected javax.swing.border.Border` | `getFocusBorder()` Returns the default focus border of the renderered component.
`javax.swing.Icon` | `getIcon()` Returns the icon.
`protected javax.swing.Icon` | `getLeafIcon()` Returns the default icon to use for leaf cell.
`protected javax.swing.Icon` | `getOpenIcon()` Returns the default icon to use for open cell.
`protected java.awt.Color` | `getSelectionBackground()` Returns the default selection background color of the renderered component.
`protected java.awt.Color` | `getSelectionForeground()` Returns the default selection foreground color of the renderered component.
`javax.swing.tree.TreePath` | `getTreePath()` Returns the treePath for the row or null if invalid.
`protected java.lang.String` | `getUIPrefix()` Returns the component type specific prefix of keys for lookup in the UIManager.
`void` | `installContext(javax.swing.JTree component, java.lang.Object value, int row, int column, boolean selected, boolean focused, boolean expanded, boolean leaf)` Sets state of the cell's context.
`boolean` | `isEditable()` Returns the cell's editability.

Methods inherited from class org.jdesktop.swingx.renderer.CellContext
`getBackground, getBorder, getCellRendererName, getColumn, getDropCellBackground, getDropCellForeground, getFocusBackground, getFocusForeground, getFont, getForeground, getRow, getUIKey, getValue, installState, isDropOn, isExpanded, isFocused, isLeaf, isSelected, replaceValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### leafIcon

    protected javax.swing.Icon leafIcon

  the icon to use for a leaf node.

### closedIcon

    protected javax.swing.Icon closedIcon

  the default icon to use for a closed folder.

### openIcon

    protected javax.swing.Icon openIcon

  the default icon to use for a open folder.

Constructor Detail

### TreeCellContext

    public TreeCellContext()

Method Detail

### installContext

    public void installContext(javax.swing.JTree component,
                               java.lang.Object value,
                               int row,
                               int column,
                               boolean selected,
                               boolean focused,
                               boolean expanded,
                               boolean leaf)

  Sets state of the cell's context. Note that the component might be null to indicate a cell without a concrete context. All accessors must cope with.

  Parameters:
    `component` - the component the cell resides on, might be null
    `value` - the content value of the cell
    `row` - the cell's row index in view coordinates
    `column` - the cell's column index in view coordinates
    `selected` - the cell's selected state
    `focused` - the cell's focused state
    `expanded` - the cell's expanded state
    `leaf` - the cell's leaf state

### getComponent

    public javax.swing.JTree getComponent()

  Description copied from class: `CellContext`
  Returns the component the cell resides on, may be null. Subclasses are expected to override and return the component type they are handling.

  Overrides:
    `getComponent` in class `CellContext`
  Returns:
    the component the cell resides on, may be null.

### getTreePath

    public javax.swing.tree.TreePath getTreePath()

  Returns the treePath for the row or null if invalid.

### isEditable

    public boolean isEditable()

  Returns the cell's editability. Subclasses should override to return a reasonable cell-related state.

  Here: false.

  PENDING: implement to return the tree cell editability!

  Overrides:
    `isEditable` in class `CellContext`
  Returns:
    the cell's editable property.

### getSelectionBackground

    protected java.awt.Color getSelectionBackground()

  Returns the default selection background color of the renderered component. Typically, the color is LF specific. It's up to subclasses to look it up. Here: returns null.

  PENDING: return UI properties here?

  Overrides:
    `getSelectionBackground` in class `CellContext`
  Returns:
    the selection background color of the rendered component.

### getSelectionForeground

    protected java.awt.Color getSelectionForeground()

  Returns the default selection foreground color of the renderered component. Typically, the color is LF specific. It's up to subclasses to look it up. Here: returns null.

  PENDING: return UI properties here?

  Overrides:
    `getSelectionForeground` in class `CellContext`
  Returns:
    the selection foreground color of the rendered component.

### getUIPrefix

    protected java.lang.String getUIPrefix()

  Returns the component type specific prefix of keys for lookup in the UIManager. Subclasses must override, here: returns the empty String.

  Overrides:
    `getUIPrefix` in class `CellContext`
  Returns:
    the component type specific prefix.

### getLeafIcon

    protected javax.swing.Icon getLeafIcon()

  Returns the default icon to use for leaf cell.

  Returns:
    the icon to use for leaf cell.

### getOpenIcon

    protected javax.swing.Icon getOpenIcon()

  Returns the default icon to use for open cell.

  Returns:
    the icon to use for open cell.

### getClosedIcon

    protected javax.swing.Icon getClosedIcon()

  Returns the default icon to use for closed cell.

  Returns:
    the icon to use for closed cell.

### getIcon

    public javax.swing.Icon getIcon()

  Returns the icon. Subclasses should override to return a reasonable cell-related state.

  Here: `null`.

  Overridden to return a default depending for the leaf/open cell state.

  Overrides:
    `getIcon` in class `CellContext`
  Returns:
    the cell's icon.

### getFocusBorder

    protected javax.swing.border.Border getFocusBorder()

  Description copied from class: `CellContext`
  Returns the default focus border of the renderered component. Typically, the border is LF specific.

  Overrides:
    `getFocusBorder` in class `CellContext`
  Returns:
    the focus border of the rendered component.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.